2

I am getting the following error on install of CiviCRM:

PHP Configuration

MySQL support MySQL support not included in PHP.

I am running:

CENTOS 6.8

Apache 2.4.18

Drupal 7.54

CiviCRM 4.7.16

PHP 5.5.35

MySQL 5.6.35

The following lines of php.ini are uncommented

extension=pdo.so

extension=pdo_sqlite.so

extension=pdo_mysql.so

I cannot quite figure out this error and so far have found nothing in my search that leads me to a solution.

Anyone have some insight?

TIA

Gary

3

CiviCRM is looking for the function mysqli_connect(), which is provided via the mysqli ("MySQL improved") extension in PHP.

To enable this, uncomment -

extension=mysqli.so

If that doesn't work, your next question may be: How to enable mysqli in PHP?

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.